Joomla 3.3
Written by CY   
Wednesday, 07 May 2014
Joomla 3.3The Joomla! project has released Joomla 3.3 last week and we are pleased to tell that Mosets Tree 3.5 is fully compatible with Joomla 3.3.

This new update for Joomla brings some new features that includes security enhancement, microdata support and improved performance. Because of the security enhancement, the minimum required PHP version has been raised to PHP 5.3.10 for this release. So make sure your web server is running at least PHP 5.3.10 before upgrading. If you're running a Joomla 3.2 site, upgrading to Joomla 3.3 is just a click away using Joomla! Update.

The Joomla project has also recently updated their release cycle, moving away from LTS/STS (Long/Short Term Support) towards a simpler version system that is used and generally accepted by users. You can read in detailed about it here.

What does this means to you?

  • If you're running Joomla 2.5, it means that you no longer need to wait for previously announced Joomla 3.5 that is marked as LTS release. You can upgrade to Joomla 3.3 today and be sure that it is supported by the Joomla project and has an easy to upgrade path towards the next minor release.
  • If you're running Joomla 3.2/3.3, it means you're going to get a steady improvement in future minor releases (3.x). Now that the Joomla project is not tied to any LTS/STS schedule, the project has more flexibility to implement new features as long as they don't break backward compatibility.